import { timestampToTime } from '@/utils/dateUtil';
import {getDifficultName} from "@/utils/index";

export const columns = [
  {
    title: '记录ID',
    dataIndex: 'id',
    key: 'id',
  },
  {
    title: '服务器ID',
    dataIndex: 'server_id',
    key: 'server_id',
  },
  {
    title: '关卡ID',
    dataIndex: 'chapter_id',
    key: 'chapter_id',
  },
  {
    title: '房间ID',
    dataIndex: 'room_id',
    key: 'room_id',
  },
  {
    title: '困难度',
    dataIndex: 'level',
    key: 'level',
    render: (rows, _) => {
      return getDifficultName(rows.level);
    },
  },
  {
    title: 'key',
    dataIndex: 'key',
    key: 'key',
    render(row) {
      return row.key;
    },
  },
  {
    title: '属性数据',
    dataIndex: 'character_data',
    key: 'character_data',
    render: (rows) => {
      return rows.character_data;
    },
  },
  {
    title: '上报时间',
    dataIndex: 'created_at',
    key: 'created_at',
    render: (rows) => {
      return rows.created_at;
    },
  },
];
